package backwardAlgorithm;

import java.io.IOException;

import gurobi.GRBVar;

public class Solution {

	public double[] y; // Production
	public int[] v; // Setup
	public double[] I; // Inventory
	public double[] s; // Shortage
	public double[] M; // Big M
	public double obj;
	public boolean sampled;

	public Solution(DataHandler data, double obj) {
		y = new double[data.T];
		v = new int[data.T];
		I = new double[data.T];
		s = new double[data.T];
		M = new double[data.T];
		this.obj = obj;
		sampled = false;
	}

	public void print() {
		System.out.println("OBJECTIVE: "+obj);
		System.out.print("v: ");
		for (int i = 0; i < v.length; i++) {
			System.out.print(v[i]+" ");
		}
		System.out.println();
		System.out.print("y: ");
		for (int i = 0; i < y.length; i++) {
			System.out.print(y[i]+" ");
		}
		System.out.println();
		System.out.print("I: ");
		for (int i = 0; i < I.length; i++) {
			System.out.print(I[i]+" ");
		}
		System.out.println();
		System.out.print("s: ");
		for (int i = 0; i < s.length; i++) {
			System.out.print(s[i]+" ");
		}
		System.out.println();
		System.out.print("M: ");
		for (int i = 0; i < M.length; i++) {
			System.out.print(M[i]+" ");
		}
		System.out.println();
		
	}

	public void printobj() {
		System.out.println("OBJECTIVE: "+obj);
	}
	
}
